/**
 * Created by rockyl on 2018/11/5.
 */
import {ScillaComponent} from "scilla";

export default class RoundLoop extends ScillaComponent {
	transform;

	duration: number = 10000;

	onUpdate(t) {
		super.onUpdate(t);

		const {position} = this.transform;
		position.setXY(
			Math.cos(t * 0.001) * 100,
			Math.sin(t * 0.001) * 100,
		)
	}
}
